import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import ColorList from './color-list';
export default class ColorFilter {
    private table;
    textColorList: ColorList;
    fillColorList: ColorList;
    constructor(table: OnesTable);
    update(parent: HTMLElement, sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): void;
    destroy(): void;
    getConditions(): GC.Spread.Sheets.ConditionalFormatting.Condition[];
    accept(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): boolean;
}
